%define upstream_name    Alien-Autotools
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build and install the GNU build system
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Build) >= 0.660.0
BuildRequires: perl(Alien::autoconf) >= 0.150.0
BuildRequires: perl(Alien::automake) >= 0.150.0
BuildRequires: perl(Alien::libtool) >= 0.140.0
BuildRequires: perl(Alien::m4) >= 0.180.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Which)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien)
BuildRequires: perl(Test::Alien::Build)
BuildArch:  noarch

%description
This the Alien manpage provides the minimum tools requires for building
'autoconf' based projects which do not come bundled with a working
'configure' script. It currently delegates most of its responsibilities to
the Alien::autoconf manpage, the Alien::automake manpage, the
Alien::libtool manpage, and the Alien::m4 manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/Autotools.pm

%changelog
* Mon Feb 17 2020 tv <tv> 1.50.0-1.mga8
+ Revision: 1536870
- update to 1.05

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-3.mga8
+ Revision: 1503432
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.40.0-2.mga7
+ Revision: 1281561
- Mageia 7 Mass Rebuild

* Tue Jul 24 2018 wally <wally> 1.40.0-1.mga7
+ Revision: 1245131
- imported package perl-Alien-Autotools

